summarylogtreecommitdiffstats
path: root/aliyunpan-odomu.sh
diff options
context:
space:
mode:
authorzxp198210052024-04-30 17:07:02 +0800
committerzxp198210052024-04-30 17:07:02 +0800
commit026129f81ccf625680669370238c4afc0395888b (patch)
treeb9315f3ba9592c8e9acc0f76cb9701ded628d753 /aliyunpan-odomu.sh
parent18f6180299ab29ba06b79be007602345d0acc8b1 (diff)
downloadaur-aliyunpan-odomu-git.tar.gz
update to 3.24.43014.r0.gefa04c6
Diffstat (limited to 'aliyunpan-odomu.sh')
-rw-r--r--aliyunpan-odomu.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/aliyunpan-odomu.sh b/aliyunpan-odomu.sh
index 7ddcaab8d734..842c77e19b1d 100644
--- a/aliyunpan-odomu.sh
+++ b/aliyunpan-odomu.sh
@@ -8,9 +8,14 @@ export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}
export ELECTRON_IS_DEV=0
export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
+export XDG_CONFIG_HOME="${XDG_CONFIG_HOME:-$HOME/.config}"
+_FLAGS_FILE="${XDG_CONFIG_HOME}/@appname@-flags.conf"
+if [ -r "${_FLAGS_FILE}" ]; then
+ _USER_FLAGS="$(cat "${_FLAGS_FILE}")"
+fi
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "${_USER_FLAGS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "${_USER_FLAGS}" "$@" || exit $?
fi \ No newline at end of file